//
//  CookieSelectorViewController.m
//  Desayuno
//
//  Created by Santiago Pavón on 05/10/13.
//  Copyright (c) 2013 UPM. All rights reserved.
//

#import "CookieSelectorViewController.h"

@interface CookieSelectorViewController () <UITextFieldDelegate>

@property (weak, nonatomic) IBOutlet UITextField *textField;

@end

@implementation CookieSelectorViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    
    self.textField.text = self.currentPreferredCookie;
    self.textField.delegate = self;
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender
{
    if ([segue.identifier isEqualToString:@"Cookie Selected"]) {
        
        self.currentPreferredCookie = self.textField.text;
        
    } else if ([segue.identifier isEqualToString:@"Cookie Cancelled"]) {
        
        // nothing to do
    }
}

#pragma mark - Local IBActions


- (IBAction)hideKeyboard
{
    [self.textField resignFirstResponder];
}

#pragma mark - Text Field delegate

- (BOOL)textFieldShouldReturn:(UITextField *)textField
{
    [self hideKeyboard];
    
    return YES;
}
@end
